| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_qprc_int_cb Struct Reference
Quadrature Position/Revolution Counter (QPRC)

Enumeration to define QPRC interrupt callback function. More...

`#include <qprc.h>`

## Data Fields
func_ptr_arg1_t | pfnPcOfUfZeroIntCallback
| Overflow, underflow, zero match interrupt callback function of position counter.
func_ptr_t | pfnPcMatchIntCallback
| PC match interrupt callback function of position counter.
func_ptr_t | pfnPcRcMatchIntCallback
| PC and RC match interrupt callback function.
func_ptr_t | pfnPcMatchRcMatchIntCallback
| PC match and RC match interrupt callback function.
func_ptr_t | pfnPcCountInvertIntCallback
| PC invert interrupt callback function.
func_ptr_t | pfnRcOutrangeIntCallback
| RC outrange interrupt callback function.

## Detailed Description

Enumeration to define QPRC interrupt callback function.

Definition at line 308 of file qprc.h.

## Field Documentation

func_ptr_t pfnPcCountInvertIntCallback

PC invert interrupt callback function.

Definition at line 314 of file qprc.h.

Referenced by Qprc_EnableInt().

func_ptr_t pfnPcMatchIntCallback

PC match interrupt callback function of position counter.

Definition at line 311 of file qprc.h.

Referenced by Qprc_EnableInt().

func_ptr_t pfnPcMatchRcMatchIntCallback

PC match and RC match interrupt callback function.

Definition at line 313 of file qprc.h.

Referenced by Qprc_EnableInt().

func_ptr_arg1_t pfnPcOfUfZeroIntCallback

Overflow, underflow, zero match interrupt callback function of position counter.

Definition at line 310 of file qprc.h.

Referenced by Qprc_EnableInt().

func_ptr_t pfnPcRcMatchIntCallback

PC and RC match interrupt callback function.

Definition at line 312 of file qprc.h.

Referenced by Qprc_EnableInt().

func_ptr_t pfnRcOutrangeIntCallback

RC outrange interrupt callback function.

Definition at line 315 of file qprc.h.

Referenced by Qprc_EnableInt().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/qprc/qprc.h